org.fourthline.cling.model.gena

## Enum CancelReason

- java.lang.Object
- - java.lang.Enum<CancelReason>
  - - org.fourthline.cling.model.gena.CancelReason

- All Implemented Interfaces:
    Serializable, Comparable<CancelReason>

      public enum CancelReason
      extends Enum<CancelReason>

  The reason why a `GENASubscription` has ended unexpectedly.
  Author:
    Christian Bauer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEVICE_WAS_REMOVED`
    `EXPIRED`
    `RENEWAL_FAILED`
    `UNSUBSCRIBE_FAILED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CancelReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CancelReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RENEWAL_FAILED

          public static final CancelReason RENEWAL_FAILED

    - #### DEVICE_WAS_REMOVED

          public static final CancelReason DEVICE_WAS_REMOVED

    - #### UNSUBSCRIBE_FAILED

          public static final CancelReason UNSUBSCRIBE_FAILED

    - #### EXPIRED

          public static final CancelReason EXPIRED

  - ### Method Detail

    - #### values

          public static CancelReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CancelReason c : CancelReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CancelReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.